Skip to main content
POST
/
import
/
sources
/
{id}
/
get-schema
Get import source schema
curl --request POST \
  --url https://api.prequel.co/import/sources/{id}/get-schema \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "table": {
    "source_table_namespace": "<string>",
    "source_table_name": "<string>"
  }
}
'
{
  "status": "<string>",
  "data": {
    "schema": [
      {
        "name": "<string>",
        "raw_type": "<string>",
        "prequel_type": "<string>",
        "ordinal_position": 123,
        "is_nullable": true
      }
    ]
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Import Source ID.

Body

application/json
method
enum<string>
required

Source preview method.

Available options:
table,
sql,
glob
table
Table Configuration · object
required
sql
SQL Configuration · object
glob
Glob Configuration · object

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required